﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataTable table1 = new DataTable("patients");
        public MainWindow()
        {
            InitializeComponent();
            table1.Columns.Add("name");
            table1.Columns.Add("id");
            table1.Rows.Add("sam", 1);
            table1.Rows.Add("mark", 2);
            table1.Rows.Add("joe", 3);

            DataSet set = new DataSet("office");
            set.Tables.Add(table1);

            this.DataContext = set.Tables[0].DefaultView;
        }

        private void xamGrid1_DataObjectRequested(object sender, Infragistics.Controls.Grids.DataObjectCreationEventArgs e)
        {
            if (table1 != null && e.ObjectType.Equals(typeof(DataRowView)))
            {
                e.NewObject = new DataView(table1).AddNew();
            }

        }
    }
}
